/*  parsetst.c -- test of evald */
#include <stdio.h>
#include <string.h>

#include "evald.h"

char MthErrBuff[80];

void main()
{
    double result;
    int ecode,epos,i;
    char expr[120],yesno[5];

    i=0;
    fprintf(stderr,"List available functions (y,n)? ");
    gets(yesno);
    if ((yesno[0] | 0x20) == 'y') {
        while(GetFuncs(i)[0] != 0) {
            fprintf(stderr,"%-12s",GetFuncs(i));
            i++;
            if ((i%6) == 0) {
                fprintf(stderr,"\n");
            }
        }
        printf("\n");
    }
    for (i=0;i<6;i++) {
        fprintf(stderr,"\nEnter expression (0 to exit): ");
        gets(expr);
        if (expr[0] == '0') return;
        printf("%s\n",expr);
        MthErrBuff[0] = 0;
        ecode = EvaluateD(expr,&result,&epos);
        fprintf(stderr,"error code = %d\nresult = %.12lg\n",ecode,result);
        if (ecode) fprintf(stderr,"%s\n",ErrMsgs[ecode]);
        if (MthErrBuff[0]) fprintf(stderr,"Math error: %s\n",MthErrBuff);
    }
}
